Servers - Dissociate Gateway
取消关联与服务器关联的统一网关。
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AnalysisServices/servers/{serverName}/dissociateGateway?api-version=2017-08-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 pattern: ^[-\w\._\(\)]+$ |
给定 Analysis Services 服务器所属的 Azure 资源组的名称。 此名称长度必须至少为 1 个字符,且不超过 90 个字符。 |
|
server
|
path | True |
string minLength: 3maxLength: 63 pattern: ^[a-z][a-z0-9]*$ |
Analysis Services 服务器的名称。 长度必须至少为 3 个字符,不超过 63 个字符。 |
|
subscription
|
path | True |
string |
Microsoft Azure 订阅的唯一标识符。 订阅 ID 构成了每个服务调用的 URI 的一部分。 |
|
api-version
|
query | True |
string |
客户端 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
还行。 |
|
| Other Status Codes |
描述作失败的原因的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 流
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
Get details of a server
示例请求
POST https://management.azure.com/subscriptions/613192d7-503f-477a-9cfe-4efc3ee2bd60/resourceGroups/TestRG/providers/Microsoft.AnalysisServices/servers/azsdktest/dissociateGateway?api-version=2017-08-01
示例响应
定义
| 名称 | 说明 |
|---|---|
|
Error |
资源管理错误附加信息。 |
|
Error |
错误详细信息。 |
|
Error |
描述错误响应的格式。 |
ErrorAdditionalInfo
资源管理错误附加信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| info |
object |
其他信息。 |
| type |
string |
其他信息类型。 |
ErrorDetail
错误详细信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| additionalInfo |
错误附加信息。 |
|
| code |
string |
错误代码。 |
| details |
错误详细信息。 |
|
| httpStatusCode |
integer (int32) |
http 状态代码 |
| message |
string |
错误消息。 |
| subCode |
integer (int32) |
错误子代码 |
| target |
string |
错误目标。 |
| timeStamp |
string |
错误的时间戳。 |
ErrorResponse
描述错误响应的格式。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
错误对象 |